会員ポイント一覧取得
GET
/customers/point
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/point';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/point \ --header 'Authorization: Bearer <token>'会員ポイント情報一覧を取得します。
参照にあたりポイント有効期限を参照し、ポイント残高がありかつ期限が切れていれば期限切れ分のポイント失効処理を行ってから返します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
customerId:会員IDpointExpireDate:ポイント失効予定日
limit
integer
上限数
page
integer
ページ
customer_id
string
会員ID
mile
string
マイル
point
string
ポイント
point_expire_date
string
ポイント失効予定日
deprecated
string
会員ID
※customer_idと両方指定された場合はcustomer_idの方の設定値が優先されます。
deprecated
string
ポイント失効予定日
※point_expire_dateと両方指定された場合はpoint_expire_dateの方の設定値が優先されます。
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
customerId
会員ID
string
mile
マイル
※ マイルの直接入力は9桁まで可能です。ただし、マイルの加算により9桁を超える値が発生することもあり得ます。
string
point
ポイント
※ ポイント値の直接入力は9桁まで可能です。ただし、ポイントの加算により9桁を超える値が発生することもあり得ます。
string
pointExpireDate
ポイント失効予定日
string
insDateTime
登録日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "customerId": "string", "mile": "string", "point": "string", "pointExpireDate": "string", "insDateTime": "string", "updDateTime": "string" }]